﻿Type=Activity
Version=1.60
FullScreen=False
IncludeTitle=True
@EndOfDesignText@
Sub Process_Globals
	Dim Bitmaps As List
End Sub

Sub Globals
	Dim LbResults As Label
	Dim ScrollView1 As ScrollView
	Dim Panel2 As Panel
End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	ProgressDialogShow("Loading images")
	LoadImages
	ProgressDialogHide
	
	Activity.LoadLayout("results") 									
	ScrollView1.Panel.Height = 300dip * Bitmaps.Size 			
	For i = 0 To Bitmaps.Size - 1
		Dim iv As ImageView 									
		iv.Initialize("iv")										
		Dim bd As BitmapDrawable
		bd.Initialize(Bitmaps.Get(i))
		iv.Background = bd 										
		ScrollView1.Panel.AddView(iv, 5dip, 5dip + i * 300dip, ScrollView1.Width - 10dip, 290dip)  
	Next
	
End Sub

Sub LoadImages
	Dim f As String

	Bitmaps.Initialize
	
	If File.Exists(Main.ImageFolder, "") = False Then
		ToastMessageShow("Images not found:" & CRLF & Main.ImageFolder, True)
		Return
	End If
	For i = 0 To Main.Files.Size - 1
		f = Main.Files.Get(i)
'		If f.ToLowerCase.EndsWith(".jpg") Then
		If f.ToLowerCase.EndsWith(".png") Then
			Dim b As Bitmap
			b.InitializeSample(Main.ImageFolder, f, 300dip, 300dip) 
			Bitmaps.Add(b)
			If Bitmaps.Size > 50 Then Exit 
		End If
	Next
	ToastMessageShow(Bitmaps.Size & "  found", False)
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub


